Skip to content

Remove an attachment

DELETE
/communication/template-text/template-texts/{id}/locales/{locale}/attachments/{attachmentId}
Required scope: templatetext:update

Removes an attachment from a language and its rows from notificationtemplateattachment, in the same all-or-nothing save as any other change of the template. The file of a file attachment is not deleted from the file share, because a mail that is queued already has its path (the old editor leaves its files too).

Parameters ​

Path parameters

locale  string
Locale code (e.g. 'sv', 'en').
attachmentId  string
The id of the attachment.

Response ​

The attachment was removed.